// Client sends data to server, receives response.
// will be on the window

#include <ESP8266WiFi.h>
#define DEBUG 0

char ssid[] = "test_wifi2";     
char pass[] = "pwnum1234";    
int status = WL_IDLE_STATUS;    
String input = "";
int con = 1;

WiFiClient client;

void setup() {
  // initialize serial:
  Serial.begin(9600);
  delay(100);

  // attempt to connect using WPA2 encryption:
  WiFi.mode(WIFI_STA);
  WiFi.setOutputPower(0);
  status = WiFi.begin(ssid, pass);

  // if you're not connected, stop here:
  while ( status != WL_CONNECTED) {
    //Serial.println("Couldn't get a wifi connection");
    status = WiFi.status();
    delay(1000);
  } 
}

void loop() {
  char temp = 0,temp1 = 0,temp2 = 0,rain = 0,window_status = 0;
  String info = "";
  if(con)
  {
    if(DEBUG)
    {
      Serial.println("Enter 4 letters");
    }
    while(!Serial.available()){}; // wait until the window sends temp and rain data
    if(Serial.available())   // get data
    {  
      String info = read_data_wifi();
      temp1 = info[0]; // send first digit of temp here
      temp2 = info[1]; // send second digit of temp here
      rain = info[2]; // rain status
      window_status = info[3];
    }
  }
  if (client.connect("192.168.4.1", 80)) { // once it connects to the server
    con = 1;
    // Make a HTTP request:
    String request = "GET /";
    request += temp1;
    request += temp2;
    request += rain;
    request += window_status;
    request += '$';
    request += " HTTP/1.1";
    if(DEBUG)
    {
      Serial.print("sending: ");
      Serial.println(request);
    }
    client.println(request);

    while(!client.available());
    String response = client.readStringUntil('\r');
    
    Serial.println(response);
    client.println("Connection: close");
    client.println();
  }else{
    con = 0;
  }
  delay(1000);
}

String read_data_wifi() {
  char inChar = 0;
  String outChar;
  while (Serial.available()>0) {
    while(inChar != '\n') {
      inChar = (char)Serial.read();
      if(inChar > 0 && inChar < 150){
        input += inChar;
      }
    }
    outChar = input;
    input = "";
  }
  return outChar;
}
