// Server receives data from window, processes it, responds

#include <ESP8266WiFi.h>
#include <WiFiClient.h> 
#include <ESP8266WebServer.h>

/* Set these to your desired credentials. */
const char *ssid = "test_wifi2";
const char *password = "pwnum1234";
String input = "";

#define DEBUG 0

WiFiServer server(80);

void setup() {
	delay(1000);
	Serial.begin(9600);
  WiFi.mode(WIFI_AP);
	WiFi.softAP(ssid, password);
	IPAddress myIP = WiFi.softAPIP();
	server.begin();
}

void loop() {
  String info = read_string();
}

String read_string()
{
  String response;
  // Get data from window
  WiFiClient client = server.available();
  while(!client) {
    client = server.available();
  }
  String request = client.readStringUntil('\r');
  int i = 5;
  String info = "";
  while(request[i] != 'H')
  {
    info += request[i];
    i++;
  }

  // Send data to ATmega
  Serial.println(info); 

  if(DEBUG)
  {
    Serial.println("type something here");
  }
  while(!Serial.available()){}; // wait for response
  if(Serial.available())   
  {  
    response = read_data_wifi();
  }
  // send back response
  client.println(response);
  delay(1000);
  if(client.connected())
  {
    client.println("Connection: close");
  }
  
  return info;
}

String read_data_wifi() {
  char inChar = 0;
  String outChar;
  while (Serial.available()>0) {
    while(inChar != '\n') {
      inChar = (char)Serial.read();
      if(inChar > 0 && inChar < 150){
        input += inChar;
      }
    }
    outChar = input;
    input = "";
  }
  return outChar;
}
